package com.yihu.wlyy.entity.advert;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 广告对象
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_advert")
public class Advert extends IdEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5977709740868451783L;
	
	// 广告标题
	private String title;
	// 广告来源
	private String from;
	// 广告图片
	private String photo;
	// 广告链接地址
	private String url;
	// 广告显示顺序
	private Integer seq;
	// 广告类型（如主页广告）
	private Integer type;
	// 发布时间
	private Date czrq;
	// 是否作废，1正常，0作废
	private String del;
	// 操作员
	private String czy;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

	public String getCzy() {
		return czy;
	}

	public void setCzy(String czy) {
		this.czy = czy;
	}

}
